#pragma once

class LocationEvent 
{
public:
	LocationEvent();
	~LocationEvent(void);

	void DeepRefresh(int eventId);
	void ShallowRefresh();
	void OnCustomNotify(int id, Notification& n);

	EventRecord record;

	ListItem * item;
};